// CPP-Konsole-TF.cpp : Definiert den Einstiegspunkt fr die Konsolenanwendung.
//

#include "stdafx.h"

#include <stdio.h>

#include "ip_connection.h"
#include "bricklet_dual_relay.h"

#define HOST "192.168.178.100"
#define PORT 4223
#define UID "a6N" // Change to your UID


int _tmain(int argc, _TCHAR* argv[])
{
	// Create IP connection to brickd
	IPConnection ipcon;
	if(ipcon_create(&ipcon, HOST, PORT) < 0) {
		fprintf(stderr, "Could not create connection\n");
		exit(1);
	}

	// Create device object
	DualRelay dr;
	dual_relay_create(&dr, UID); 

	// Add device to IP connection
	if(ipcon_add_device(&ipcon, &dr) < 0) {
		fprintf(stderr, "Could not connect to Bricklet\n");
		exit(1);
	}
	// Don't use device before it is added to a connection

	// Turn relay 1, relay 2 on and off
	dual_relay_set_state(&dr, false, false);

	Sleep(2000);

	dual_relay_set_state(&dr, true, false);

	Sleep(2000);

	dual_relay_set_state(&dr, true, true);
	
	Sleep(2000);

	dual_relay_set_state(&dr, true, false);

	Sleep(2000);

	dual_relay_set_state(&dr, false, false);

	printf("Press key to exit\n");
	getchar();
	ipcon_destroy(&ipcon);
	return 0;
}

